Package org.bukkit.block.data.type

# Interface CommandBlock

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`

public interface CommandBlock extends Directional
'conditional' denotes whether this command block is conditional or not, i.e. will only execute if the preceeding command block also executed successfully.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isConditional()`
Gets the value of the 'conditional' property.
`void`
`setConditional(boolean conditional)`
Sets the value of the 'conditional' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

## Method Details

### isConditional

boolean isConditional()
Gets the value of the 'conditional' property.

Returns:
  the 'conditional' value

### setConditional

void setConditional(boolean conditional)
Sets the value of the 'conditional' property.

Parameters:
  `conditional` - the new 'conditional' value